Proxmark developers community

Research, development and trades concerning the powerful Proxmark3 device.

Remember; sharing is caring. Bring something back to the community.


"Learn the tools of the trade the hard way." +Fravia

You are not logged in.

#1 2014-08-11 08:27:08

iceman
Administrator
Registered: 2013-04-25
Posts: 3,876
Website

Upgraded mingw 4.8 and QT5.3.1 software environment

I basically screwed my PM3 setup this spring and have been trying to fix it again since.  I got it to work last weekend.
My reason for ruining it was that I wanted a 64bit environment on Windows 7.   That lead me in to a dark path of errors.

So throwing away anything hinting about 64bit I got a upgraded environment that actually compiles and works. Even with the latest Qt.

So why bother with it and not go for the existing downloadable version on Github?  Well, I needed to compile som other stuff and they needed a newer GCC and the existing building platform is a bit old I think.

If someone want some help of getting it up and running, I'm glad to assist.  Not that I was very good at documenting the changes and all different steps but still fresh in memory.


modhex(hkhehghthbhudcfcdchkigiehgduiehg)

Offline

#2 2015-10-28 01:32:04

Lenox
Contributor
Registered: 2015-01-29
Posts: 40

Re: Upgraded mingw 4.8 and QT5.3.1 software environment

Hi iceman,

I downloaded the ProxSpace-130613.zip and tried to compile the latest PM3 on Windows 7. But keeps on getting error msgs.
Is this version(130613) too old for the latest code?

Thanks,

Offline

#3 2015-10-28 03:59:51

Lenox
Contributor
Registered: 2015-01-29
Posts: 40

Re: Upgraded mingw 4.8 and QT5.3.1 software environment

Cloned PM3 from Github to Desktop. Compiled it and got following error msgs.

http://prntscr.com/8w4vg1

http://prntscr.com/8w4w8p

Any idea?

Thanks in advance

Offline

#4 2015-10-28 06:05:15

marshmellow
Moderator
From: US
Registered: 2013-06-10
Posts: 2,039

Re: Upgraded mingw 4.8 and QT5.3.1 software environment

The first error is regarding folder permissions I believe.

Offline

#5 2015-10-28 09:53:40

iceman
Administrator
Registered: 2013-04-25
Posts: 3,876
Website

Re: Upgraded mingw 4.8 and QT5.3.1 software environment

Could folder permission, but it says perl linked dll error in both images.  Could be your perl installation isn't correct in the paths.


modhex(hkhehghthbhudcfcdchkigiehgduiehg)

Offline

#6 2015-10-28 17:17:28

Lenox
Contributor
Registered: 2015-01-29
Posts: 40

Re: Upgraded mingw 4.8 and QT5.3.1 software environment

Thanks for the quick response.

I checked the folder properties and unchecked the "read only" option. Then recompiled it and got following error msgs.

http://prntscr.com/8wb78t
http://prntscr.com/8wb7ij
http://prntscr.com/8wb7pw
http://prntscr.com/8wb83d

Thanks,

Offline

Board footer

Powered by FluxBB